
package de.ivu.elect.presentation.wahlvorschlag.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahlvorschlag.menu.WahlvorschlagPageMenu;

public class SperrlisteExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public SperrlisteExportDescription() {
    super();
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.SPERRLISTE_EXPORTIEREN;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.SPERRLISTE_EXPORT;
  }

  @Override
  public String getExportSearchViewId() {
    return SperrlisteExportView.VIEW_ID;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlvorschlagPageMenu.COMPONENT_NAME;
  }
}
